#include<bits/stdc++.h>
using namespace std;
int n,x[500000],par;
void izbroj(){
    for(int i=0;i<n;i++)
        if(x[i]%2==0)
            par++;
}
void resi0(){
    if(x[n-1]%2==0)
        par--;
    int res=par;
    res+=(x[n-1]%2==1);
    cout<<res;
}
void resi1(){
    static int res1,res2;
    res1+=par;
    int nepar=n-par;
    if(x[n-1]%2==1)
        nepar--;
    res2+=nepar;
    res2+=(x[n-1]%2==0);
    cout<<max(res1,res2);
}
int main(){
    cin>>n;
    for(int i=0;i<n;i++)cin>>x[i];
    izbroj();
    if(n%2==0)
        resi0();
    else
        resi1();
}